#
# spec file for package ghc-magicbane
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name magicbane
Name:           ghc-%{pkg_name}
Version:        0.1.4
Release:        3.9
Summary:        A web framework that integrates Servant, ClassyPrelude, EKG, fast-logger, wai-cli…
License:        SUSE-Public-Domain
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-aeson-qq-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-classy-prelude-devel
BuildRequires:  ghc-conduit-combinators-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-data-has-devel
BuildRequires:  ghc-ekg-core-devel
BuildRequires:  ghc-ekg-wai-devel
BuildRequires:  ghc-envy-devel
BuildRequires:  ghc-errors-devel
BuildRequires:  ghc-fast-logger-devel
BuildRequires:  ghc-http-api-data-devel
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-http-client-tls-devel
BuildRequires:  ghc-http-conduit-devel
BuildRequires:  ghc-http-date-devel
BuildRequires:  ghc-http-link-header-devel
BuildRequires:  ghc-http-media-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-lifted-async-devel
BuildRequires:  ghc-mime-types-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-monad-logger-devel
BuildRequires:  ghc-monad-metrics-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-raw-strings-qq-devel
BuildRequires:  ghc-refined-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-servant-devel
BuildRequires:  ghc-servant-server-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-string-conversions-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-wai-cli-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-wai-middleware-metrics-devel

%description
Inspired by Dropwizard, Magicbane provides a packaged framework for developing
web services using the best available libraries, including Servant,
ClassyPrelude, Aeson, EKG/monad-metrics, fast-logger/monad-logger, wai-cli and
others.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files

%files devel -f %{name}-devel.files

%changelog
* Tue Dec 19 2017 psimons@suse.com
- Update to version 0.1.4.
  A more detailed change log is not available.
* Mon Nov 13 2017 psimons@suse.com
- Update to version 0.1.3.
  A more detailed change log is not available.
* Mon Nov  6 2017 psimons@suse.com
- Update to version 0.1.2.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Wed Apr 19 2017 psimons@suse.com
- Update to version 0.1.1 revision 3 with cabal2obs.
